Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class ProjectInstanceImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
          edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceWithPropsImpl
              edu.stanford.smi.protege.server.metaproject.impl.PolicyControlledObjectImpl
                  edu.stanford.smi.protege.server.metaproject.impl.ProjectInstanceImpl

All Implemented Interfaces:
  Localizable, PolicyControlledObject, ProjectInstance, Serializable

    public class ProjectInstanceImpl

extends PolicyControlledObjectImpl
implements ProjectInstance, Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `ProjectInstanceImpl(MetaProjectImpl mp, Instance pi)`

Method Summary
`ProjectInstance` | `getAnnotationProject()`
`String` | `getLocation()`
`User` | `getOwner()`
`Set<User>` | `getOwners()`
`void` | `setAnnotationProject(ProjectInstance annotationProject)`
`void` | `setLocation(String location)`
`void` | `setOwner(User owner)`
`void` | `setOwners(Set<User> owners)`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.PolicyControlledObjectImpl
`addAllowedGroupOperations, addInCollection, equals, getAllowedGroupOperations, getDescription, getInCollection, getName, hashCode, isPolicyModifiableByClient, removeInCollection, setAllowedGroupOperations, setDescription, setInCollection, setName, setPolicyModifiableByClient, toString`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceWithPropsImpl
`addPropertyValue, addPropertyValue, getPropertyValue, getPropertyValues, getPropertyValuesAsString, removePropertyValue, removePropertyValue, setPropertyValue, setPropertyValues`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
`addSlotValue, getCls, getMetaProject, getProtegeCollection, getProtegeInstance, getSlotValue, getSlotValues, localize, removeSlotValue, setSlotValue, setSlotValuesAsProtegeInstances`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.server.metaproject.PolicyControlledObject
`addAllowedGroupOperations, addInCollection, addPropertyValue, addPropertyValue, getAllowedGroupOperations, getDescription, getInCollection, getMetaProject, getName, getPropertyValue, getPropertyValues, getPropertyValuesAsString, getProtegeInstance, isPolicyModifiableByClient, removeInCollection, removePropertyValue, removePropertyValue, setAllowedGroupOperations, setDescription, setInCollection, setName, setPolicyModifiableByClient, setPropertyValues`

Constructor Detail

### ProjectInstanceImpl

    protected ProjectInstanceImpl(MetaProjectImpl mp,
                                  Instance pi)

Method Detail

### getLocation

    public String getLocation()

  Specified by:
    `getLocation` in interface `ProjectInstance`

### getAnnotationProject

    public ProjectInstance getAnnotationProject()

  Specified by:
    `getAnnotationProject` in interface `ProjectInstance`

### setLocation

    public void setLocation(String location)

  Specified by:
    `setLocation` in interface `ProjectInstance`

### getOwner

    public User getOwner()

  Specified by:
    `getOwner` in interface `ProjectInstance`

### getOwners

    public Set<User> getOwners()

  Specified by:
    `getOwners` in interface `ProjectInstance`

### setAnnotationProject

    public void setAnnotationProject(ProjectInstance annotationProject)

  Specified by:
    `setAnnotationProject` in interface `ProjectInstance`

### setOwner

    public void setOwner(User owner)

  Specified by:
    `setOwner` in interface `ProjectInstance`

### setOwners

    public void setOwners(Set<User> owners)

  Specified by:
    `setOwners` in interface `ProjectInstance`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.